%define major 24
%define libname %mklibname %{name} %{major}

%define cmajor 1
%define libc %mklibname %{name}c %{cmajor}

%define kvmajor 10
%define libkv %mklibname kvutils %{kvmajor}

%define develname %mklibname %{name} -d

Summary:	Sound processing, multitrack recording, and mixing tools
Name:		ecasound
Version:	2.9.3
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		Sound/Editors and Converters
URL: 		https://ecasound.seul.org/ecasound/
Source0: 	https://ecasound.seul.org/download/%{name}-%{version}.tar.gz
Source1:        %{name}16.png
Source2:        %{name}32.png
Source3:        %{name}48.png
Patch0:		ecasound-2.9.1-shared.patch
Patch1:		ecasound-shellbang_fix.diff
Patch2:		ecasound-linkage_fix.diff
Patch3:		ecaound-2.9.3-mga-literal-format.patch
Patch4:		ecasound-2.8.1-ruby19dir.patch
BuildRequires:  autoconf
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(liboil-0.3)
BuildRequires:	pkgconfig(liblo)
BuildRequires:	pkgconfig(lilv-0)
BuildRequires:	ruby
BuildRequires:	pkgconfig(ruby)

%description
Ecasound is a software package designed for multitrack audio processing. It can
be used for simple tasks like audio playback, recording and format conversions,
as well as for multitrack effect processing, mixing, recording and signal
recycling. Ecasound supports a wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined in various ways, and
their parameters can be controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is included in the package.

%package -n	%{libname}
Summary: 	Shared libraries for Ecasound
Group: 		System/Libraries
Obsoletes:	%{mklibname ecasound 22}

%description -n	%{libname}
Ecasound is a software package designed for multitrack audio processing. It can
be used for simple tasks like audio playback, recording and format conversions,
as well as for multitrack effect processing, mixing, recording and signal
recycling. Ecasound supports a wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined in various ways, and
their parameters can be controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is included in the package.

This package contains the shared Ecasound libraries.

%package -n     %{libc}
Summary:        Shared libraries for Ecasound
Group:          System/Libraries
Conflicts:      %{_lib}ecasound23 < 2.8.1-4

%description -n %{libc}
Ecasound is a software package designed for multitrack audio processing. It can
be used for simple tasks like audio playback, recording and format conversions,
as well as for multitrack effect processing, mixing, recording and signal
recycling. Ecasound supports a wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined in various ways, and
their parameters can be controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is included in the package.

This package contains the shared Ecasoundc library.

%package -n     %{libkv}
Summary:        Shared libraries for Ecasound
Group:          System/Libraries
Conflicts:      %{_lib}ecasound23 < 2.8.1-4

%description -n %{libkv}
Ecasound is a software package designed for multitrack audio processing. It can
be used for simple tasks like audio playback, recording and format conversions,
as well as for multitrack effect processing, mixing, recording and signal
recycling. Ecasound supports a wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined in various ways, and
their parameters can be controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is included in the package.

This package contains the shared kvutils library.

%package -n	ruby-ecasound
Summary:        Ruby bindings to ecasound control interface
Group:          Sound/Editors and Converters
Requires:       ecasound
Obsoletes:      rubyecasound
Provides:       rubyecasound

%description -n	ruby-ecasound
Ruby bindings to Ecasound Control Interface (ECI).

%package -n	%{develname}
Summary: 	Ecasound - development files
Group: 		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{libc} = %{version}
Requires:	%{libkv} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname ecasound 22 -d}

%description -n	%{develname}
The ecasound-devel package contains the header files and libraries necessary
for building apps like ecawave and ecamegapedal that directly link against
ecasound libraries.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure \
    --disable-static \
    --enable-liboil \
    --disable-pyecasound \
    --disable-dependency-tracking \
    --enable-sys-readline
%make_build

%install
%make_install ECA_S_RUBY_SITEDIR="%{ruby_vendorlibdir}"

find %{buildroot} -name '*.la' -delete

# ecamonitor is python2 only and not supported until upstream ports it
rm -rf %{buildroot}%{_bindir}/ecamonitor

# Icons
install -m644 %{SOURCE1} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D %{buildroot}%{_liconsdir}/%{name}.png

# Menu

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Sound processing, multitrack recording, and mixing tools
Exec=%{name} -c
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF

%if 0
cat > %{buildroot}%{_datadir}/applications/ecamonitor.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Sound processing, multitrack recording, and mixing tools
Exec=ecamonitor
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF
%endif

cat > %{buildroot}%{_datadir}/applications/ecasignalview.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Sound processing, multitrack recording, and mixing tools
Exec=ecasignalview
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF

%files -n %{libname}
%{_libdir}/libecasound.so.%{major}{,.*}

%files -n %{libc}
%{_libdir}/libecasoundc.so.%{cmajor}{,.*}

%files -n %{libkv}
%{_libdir}/libkvutils.so.%{kvmajor}{,.*}

%files
%doc NEWS COPYING COPYING.GPL COPYING.LGPL README BUGS TODO examples
%doc Documentation/*.html
%{_bindir}/eca*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop

%files -n ruby-ecasound
%{ruby_vendorlibdir}/*.rb

%files -n %{develname}
%{_bindir}/libecasound-config
%{_bindir}/libecasoundc-config
%{_includedir}/kvutils/*.h
%{_includedir}/libecasound/*.h
%{_includedir}/libecasoundc/*.h
%{_libdir}/*.so


%changelog
* Tue Nov 08 2022 danf <danf> 2.9.3-1.mga9
+ Revision: 1904600
- Update to ver. 2.9.3
- Switch to working URL
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 2.9.1-10.mga8
+ Revision: 1542500
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 daviddavid <daviddavid> 2.9.1-9.mga8
+ Revision: 1476406
- ecamonitor is python2 only and not supported until upstream ports it
- disable python2 support
+ luigiwalser <luigiwalser>
- rebuild for readline
+ wally <wally>
- drop multiarch support

* Sun Sep 23 2018 umeabot <umeabot> 2.9.1-8.mga7
+ Revision: 1297557
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Jan 02 2018 wally <wally> 2.9.1-7.mga7
+ Revision: 1189550
- s/ruby_sitelibdir/ruby_vendorlibdir
- rebuild for new readline

* Mon Feb 08 2016 umeabot <umeabot> 2.9.1-6.mga6
+ Revision: 943953
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.9.1-5.mga5
+ Revision: 747901
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.9.1-4.mga5
+ Revision: 726153
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.9.1-3.mga5
+ Revision: 678921
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.9.1-2.mga5
+ Revision: 628166
- Rebuild for new Python

* Thu May 08 2014 barjac <barjac> 2.9.1-1.mga5
+ Revision: 621166
- new version ecasound-2.9.1
- re-diffed Patch0 removed Patch5

* Tue Oct 22 2013 umeabot <umeabot> 2.9.0-8.mga4
+ Revision: 545840
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 2.9.0-7.mga4
+ Revision: 501914
- include pyc and pyo files in python subpackages files list

* Sat Sep 21 2013 fwang <fwang> 2.9.0-6.mga4
+ Revision: 482933
- escape characters

* Sat Sep 21 2013 fwang <fwang> 2.9.0-5.mga4
+ Revision: 482929
- do not apply new patch on our package

* Sat Sep 21 2013 fwang <fwang> 2.9.0-4.mga4
+ Revision: 482925
- update correct patch

* Sat Sep 21 2013 fwang <fwang> 2.9.0-3.mga4
+ Revision: 482918
- add archlinux patch to build correctly with ruby 2

* Tue Jul 09 2013 dams <dams> 2.9.0-2.mga4
+ Revision: 451618
+ rebuild (emptylog)

* Fri Jan 11 2013 umeabot <umeabot> 2.9.0-2.mga3
+ Revision: 349307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 2.9.0-1.mga3
+ Revision: 338493
- 2.9.0
- add BuildRequires: pkgconfig(lilv-0) for LV2 support
- patch5: fix build with automake 1.13

* Sat Nov 03 2012 fwang <fwang> 2.8.1-4.mga3
+ Revision: 312883
- specify pydir
- specify pydir
- more patch
- install to correct dir
- update rpm group
- split out shared libs

* Thu Jan 12 2012 fwang <fwang> 2.8.1-3.mga2
+ Revision: 195273
- rebuild for  new audiofile

* Sun Nov 20 2011 zezinho <zezinho> 2.8.1-2.mga2
+ Revision: 169874
- add obsoletes to the lib

* Sun Nov 20 2011 zezinho <zezinho> 2.8.1-1.mga2
+ Revision: 169854
- new version

* Mon Apr 25 2011 wally <wally> 2.7.2-3.mga1
+ Revision: 90317
- fix desktop file names (mga#954)

* Sun Feb 06 2011 spuhler <spuhler> 2.7.2-2.mga1
+ Revision: 47844
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package ecasound

